import pygame

#Screen resolution and mode
screen_w = 1024 # pixels
screen_h = 768  # pixels
screen_size = (screen_w, screen_h) # (pixels, pixels)

fullscreen  = False

invisible_color = (255, 0, 255) # RGB

# Game speed
framerate  = 60   # fps

# Depth
z_distance = 1000 # miliseconds, too big?
background_z_range = range(100, 200)
foreground_z_range = range(750, 850)
background_z_center = 150
foreground_z_center = 800
z_difference        = foreground_z_center - background_z_center

# Key settings
key_left   = [pygame.K_LEFT, pygame.K_a, pygame.K_z]
key_right  = [pygame.K_RIGHT, pygame.K_d, pygame.K_x]
key_attack = [pygame.K_UP, pygame.K_w, pygame.K_c]

# Player stats
player_speed      = (0.25 * screen_w) / 1000.0 # Pixels/second
player_hitpoints  = 5
player_lives      = 3
player_fire_delay = 200 #miliseconds

player_spritesheet = "hero.png"

player_w = 140 # pixels
player_h = 140 # pixels
player_size = (player_w, player_h) # (pixels, pixels)

# Check here
p_animations = {
    "idle"   : ([12], 100),
    "right"  : ([0,1,2,3,4,5], 75),
    "left"   : ([11,10,8,8,7,6], 75),
    "idle2"  : ([17], 100),
    "right2" : ([13,14], 100),
    "left2"  : ([15,16], 100),
    "catch"  : ([18,19], 100),
    "attack" : ([20,21,22], 100),
    "hit"    : ([23,24,25], 100),
}

# Archer stats
archer_speed      = (0.1 * screen_w) / 1000.0 # Pixels/second
archer_hitpoints  = 1
archer_fire_delay = 200

archer_spritesheet = "archer.png"

archer_w = 64
archer_h = 64
archer_size = (archer_w, archer_h)


# Missile stats
missile_w = 128
missile_h = 128
missile_sizes = [(int(missile_w*scale/100.0), int(missile_h*scale/100.0)) for scale in range(5, 101, 5)]
print missile_sizes

# Sprite and character States
state_idle       = 0
state_arrive     = 1
state_walkleft   = 2
state_walkright  = 3
state_attack     = 4
state_get_hit    = 5
state_dying      = 6
state_deleting   = 7
state_catch      = 8
state_idle2      = 9
state_walkleft2  = 10
state_walkright2 = 11
numstates        = 12